# Class SkySimData.Col

java.lang.Object
uk.ac.starlink.ttools.scheme.SkySimData.Col

Enclosing class:
  `SkySimData`

public abstract static class SkySimData.Col extends Object
Defines an object that can return a sample value for a given region.

Since:
  6 Aug 2020
Author:
  Mark Taylor

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Col(uk.ac.starlink.table.ColumnInfo info)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.ColumnInfo`
`getInfo()`
Returns column metadata.
`abstract double`
`getValue(int irow, long seed)`
Returns a statistically sampled value for a given row.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Col

protected Col(uk.ac.starlink.table.ColumnInfo info)
Constructor.

Parameters:
  `info` - column metadata

## Method Details

### getInfo

public uk.ac.starlink.table.ColumnInfo getInfo()
Returns column metadata.

Returns:
  column metadata

### getValue

public abstract double getValue(int irow, long seed)
Returns a statistically sampled value for a given row.

Parameters:
  `irow` - row index indicating sky region
  `seed` - random seed